import React, { FC } from 'react';
import { makeStyles } from '@material-ui/core/styles';
import { CssBaseline, Tabs, Tab } from '@material-ui/core';
import HomeIcon from '@material-ui/icons/Home';
import ImportContactsIcon from '@material-ui/icons/ImportContacts';
import AccountCircleIcon from '@material-ui/icons/AccountCircle';

const useStyles = makeStyles((theme) => ({
  root: {
    minHeight: '100vh',
    backgroundImage: `url(${'/assets/bg2.png'})`,
    backgroundRepeat: 'no-repeat',
    backgroundSize: 'cover',
  },
  tabs: {
    color: 'white',
    paddingLeft: '25px',
    paddingRight: '25px',
    paddingTop: '8px',
  },
  tabPan: {
    paddingLeft: '56px',
    paddingRight: '56px',
  },
  rightAlign: {
    marginLeft: 'auto',
  },
  tabIcon: {
    paddingRight: '10px',
    fontSize: '38px',
  },
}));

export const HomePage2: FC = () => {
  const classes = useStyles();

  const [selectedTab, setSelectedTab] = React.useState(0);

  return (
    <div className={classes.root}>
      <CssBaseline />
      <Tabs
        value={selectedTab}
        className={classes.tabs}
        TabIndicatorProps={{ style: { display: 'none' } }}
      >
        <Tab
          label="HomePage"
          icon={<HomeIcon className={classes.tabIcon} />}
          className={classes.tabPan}
        />
        <Tab
          label="Reservation"
          icon={<ImportContactsIcon className={classes.tabIcon} />}
          className={`${classes.tabPan} ${classes.rightAlign}`}
        />
        <Tab
          label="Profile"
          className={classes.tabPan}
          icon={<AccountCircleIcon className={classes.tabIcon} />}
        />
      </Tabs>
    </div>
  );
};
